nxt.dgs

## Class DigitalGoodsHome

- java.lang.Object
- - nxt.dgs.DigitalGoodsHome

-     public final class DigitalGoodsHome
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DigitalGoodsHome.Event`
    `class` | `DigitalGoodsHome.Goods`
    `class` | `DigitalGoodsHome.Purchase`
    `class` | `DigitalGoodsHome.Tag`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `addGoodsListener(Listener<DigitalGoodsHome.Goods> listener, DigitalGoodsHome.Event eventType)`
    `static boolean` | `addPurchaseListener(Listener<DigitalGoodsHome.Purchase> listener, DigitalGoodsHome.Event eventType)`
    `static DigitalGoodsHome` | `forChain(ChildChain childChain)`
    `DbIterator<DigitalGoodsHome.Goods>` | `getAllGoods(int from, int to)`
    `DbIterator<DigitalGoodsHome.Purchase>` | `getAllPurchases(int from, int to)`
    `DbIterator<DigitalGoodsHome.Tag>` | `getAllTags(int from, int to)`
    `int` | `getBuyerPurchaseCount(long buyerId, boolean withPublicFeedbacksOnly, boolean completedOnly)`
    `DbIterator<DigitalGoodsHome.Purchase>` | `getBuyerPurchases(long buyerId, boolean withPublicFeedbacksOnly, boolean completedOnly, int from, int to)`
    `DbIterator<DigitalGoodsHome.Purchase>` | `getExpiredSellerPurchases(long sellerId, int from, int to)`
    `DigitalGoodsHome.Goods` | `getGoods(long goodsId)`
    `int` | `getGoodsCount()`
    `DbIterator<DigitalGoodsHome.Goods>` | `getGoodsInStock(int from, int to)`
    `int` | `getGoodsInStockCount()`
    `int` | `getGoodsPurchaseCount(long goodsId, boolean withPublicFeedbacksOnly, boolean completedOnly)`
    `DbIterator<DigitalGoodsHome.Purchase>` | `getGoodsPurchases(long goodsId, long buyerId, boolean withPublicFeedbacksOnly, boolean completedOnly, int from, int to)`
    `DbIterator<DigitalGoodsHome.Tag>` | `getInStockTags(int from, int to)`
    `DigitalGoodsHome.Purchase` | `getPendingPurchase(long purchaseId)`
    `DbIterator<DigitalGoodsHome.Purchase>` | `getPendingSellerPurchases(long sellerId, int from, int to)`
    `DigitalGoodsHome.Purchase` | `getPurchase(long purchaseId)`
    `int` | `getPurchaseCount()`
    `int` | `getPurchaseCount(boolean withPublicFeedbacksOnly, boolean completedOnly)`
    `DbIterator<DigitalGoodsHome.Purchase>` | `getPurchases(boolean withPublicFeedbacksOnly, boolean completedOnly, int from, int to)`
    `int` | `getSellerBuyerPurchaseCount(long sellerId, long buyerId, boolean withPublicFeedbacksOnly, boolean completedOnly)`
    `DbIterator<DigitalGoodsHome.Purchase>` | `getSellerBuyerPurchases(long sellerId, long buyerId, boolean withPublicFeedbacksOnly, boolean completedOnly, int from, int to)`
    `DbIterator<DigitalGoodsHome.Goods>` | `getSellerGoods(long sellerId, boolean inStockOnly, int from, int to)`
    `int` | `getSellerGoodsCount(long sellerId, boolean inStockOnly)`
    `int` | `getSellerPurchaseCount(long sellerId, boolean withPublicFeedbacksOnly, boolean completedOnly)`
    `DbIterator<DigitalGoodsHome.Purchase>` | `getSellerPurchases(long sellerId, boolean withPublicFeedbacksOnly, boolean completedOnly, int from, int to)`
    `int` | `getTagCount()`
    `int` | `getTagCountInStock()`
    `DbIterator<DigitalGoodsHome.Tag>` | `getTagsLike(java.lang.String prefix, boolean inStockOnly, int from, int to)`
    `static boolean` | `removeGoodsListener(Listener<DigitalGoodsHome.Goods> listener, DigitalGoodsHome.Event eventType)`
    `static boolean` | `removePurchaseListener(Listener<DigitalGoodsHome.Purchase> listener, DigitalGoodsHome.Event eventType)`
    `DbIterator<DigitalGoodsHome.Goods>` | `searchGoods(java.lang.String query, boolean inStockOnly, int from, int to)`
    `DbIterator<DigitalGoodsHome.Goods>` | `searchSellerGoods(java.lang.String query, long sellerId, boolean inStockOnly, int from, int to)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### forChain

          public static DigitalGoodsHome forChain(ChildChain childChain)

    - #### addGoodsListener

          public static boolean addGoodsListener(Listener<DigitalGoodsHome.Goods> listener,
                                                 DigitalGoodsHome.Event eventType)

    - #### removeGoodsListener

          public static boolean removeGoodsListener(Listener<DigitalGoodsHome.Goods> listener,
                                                    DigitalGoodsHome.Event eventType)

    - #### addPurchaseListener

          public static boolean addPurchaseListener(Listener<DigitalGoodsHome.Purchase> listener,
                                                    DigitalGoodsHome.Event eventType)

    - #### removePurchaseListener

          public static boolean removePurchaseListener(Listener<DigitalGoodsHome.Purchase> listener,
                                                       DigitalGoodsHome.Event eventType)

    - #### getTagCount

          public int getTagCount()

    - #### getTagCountInStock

          public int getTagCountInStock()

    - #### getAllTags

          public DbIterator<DigitalGoodsHome.Tag> getAllTags(int from,
                                                             int to)

    - #### getInStockTags

          public DbIterator<DigitalGoodsHome.Tag> getInStockTags(int from,
                                                                 int to)

    - #### getTagsLike

          public DbIterator<DigitalGoodsHome.Tag> getTagsLike(java.lang.String prefix,
                                                              boolean inStockOnly,
                                                              int from,
                                                              int to)

    - #### getGoodsCount

          public int getGoodsCount()

    - #### getGoodsInStockCount

          public int getGoodsInStockCount()

    - #### getGoods

          public DigitalGoodsHome.Goods getGoods(long goodsId)

    - #### getAllGoods

          public DbIterator<DigitalGoodsHome.Goods> getAllGoods(int from,
                                                                int to)

    - #### getGoodsInStock

          public DbIterator<DigitalGoodsHome.Goods> getGoodsInStock(int from,
                                                                    int to)

    - #### getSellerGoods

          public DbIterator<DigitalGoodsHome.Goods> getSellerGoods(long sellerId,
                                                                   boolean inStockOnly,
                                                                   int from,
                                                                   int to)

    - #### getSellerGoodsCount

          public int getSellerGoodsCount(long sellerId,
                                         boolean inStockOnly)

    - #### searchGoods

          public DbIterator<DigitalGoodsHome.Goods> searchGoods(java.lang.String query,
                                                                boolean inStockOnly,
                                                                int from,
                                                                int to)

    - #### searchSellerGoods

          public DbIterator<DigitalGoodsHome.Goods> searchSellerGoods(java.lang.String query,
                                                                      long sellerId,
                                                                      boolean inStockOnly,
                                                                      int from,
                                                                      int to)

    - #### getPurchaseCount

          public int getPurchaseCount()

    - #### getPurchaseCount

          public int getPurchaseCount(boolean withPublicFeedbacksOnly,
                                      boolean completedOnly)

    - #### getAllPurchases

          public DbIterator<DigitalGoodsHome.Purchase> getAllPurchases(int from,
                                                                       int to)

    - #### getPurchases

          public DbIterator<DigitalGoodsHome.Purchase> getPurchases(boolean withPublicFeedbacksOnly,
                                                                    boolean completedOnly,
                                                                    int from,
                                                                    int to)

    - #### getSellerPurchases

          public DbIterator<DigitalGoodsHome.Purchase> getSellerPurchases(long sellerId,
                                                                          boolean withPublicFeedbacksOnly,
                                                                          boolean completedOnly,
                                                                          int from,
                                                                          int to)

    - #### getSellerPurchaseCount

          public int getSellerPurchaseCount(long sellerId,
                                            boolean withPublicFeedbacksOnly,
                                            boolean completedOnly)

    - #### getBuyerPurchases

          public DbIterator<DigitalGoodsHome.Purchase> getBuyerPurchases(long buyerId,
                                                                         boolean withPublicFeedbacksOnly,
                                                                         boolean completedOnly,
                                                                         int from,
                                                                         int to)

    - #### getBuyerPurchaseCount

          public int getBuyerPurchaseCount(long buyerId,
                                           boolean withPublicFeedbacksOnly,
                                           boolean completedOnly)

    - #### getSellerBuyerPurchases

          public DbIterator<DigitalGoodsHome.Purchase> getSellerBuyerPurchases(long sellerId,
                                                                               long buyerId,
                                                                               boolean withPublicFeedbacksOnly,
                                                                               boolean completedOnly,
                                                                               int from,
                                                                               int to)

    - #### getSellerBuyerPurchaseCount

          public int getSellerBuyerPurchaseCount(long sellerId,
                                                 long buyerId,
                                                 boolean withPublicFeedbacksOnly,
                                                 boolean completedOnly)

    - #### getGoodsPurchases

          public DbIterator<DigitalGoodsHome.Purchase> getGoodsPurchases(long goodsId,
                                                                         long buyerId,
                                                                         boolean withPublicFeedbacksOnly,
                                                                         boolean completedOnly,
                                                                         int from,
                                                                         int to)

    - #### getGoodsPurchaseCount

          public int getGoodsPurchaseCount(long goodsId,
                                           boolean withPublicFeedbacksOnly,
                                           boolean completedOnly)

    - #### getPurchase

          public DigitalGoodsHome.Purchase getPurchase(long purchaseId)

    - #### getPendingSellerPurchases

          public DbIterator<DigitalGoodsHome.Purchase> getPendingSellerPurchases(long sellerId,
                                                                                 int from,
                                                                                 int to)

    - #### getExpiredSellerPurchases

          public DbIterator<DigitalGoodsHome.Purchase> getExpiredSellerPurchases(long sellerId,
                                                                                 int from,
                                                                                 int to)

    - #### getPendingPurchase

          public DigitalGoodsHome.Purchase getPendingPurchase(long purchaseId)